Subject: Re: bug#65993: 29.1; emoji-insert show nothing without font settings

From: [email-masked]
Date: Sat, 16 Sep 2023 15:12:42 +0900

Eli Zaretskii <[email-masked]> writes:

>> And once emoji-insert is called before font setting,
>> emoji-insert does not show emoji items after they are made visible in
>> emacs buffer with font settings.
>
> This is not a bug: you need to clear the font cache to get Emacs to
> react to newly-installed fonts without restarting Emacs.  Like this:
>
>   M-: (clear-font-cache) RET

Evaluating (clear-font-cache) have no effect on emoji-insert.
Perhaps menu items are cached in another place.

>> Here is a sample setting to display emojis:
>>   (set-fontset-font nil '(#x1f000 . #x1faff) "Segoe UI Emoji")
>
> Segoe UI Emoji is not a free font, so we cannot advertise it in Emacs.
> You could tell Emacs about any fonts you have that support Emoji by
> using the function w32-find-non-USB-fonts, see its doc string for
> details.

Segoe UI was an only font for most of emojis installed in my PC.
In this case, I think emacs should find the font by default.

> In addition, Emacs 29 comes pre-configured to use the Noto Emoji font
> on MS-Windows for showing Emoji, but you need to install that font
> first.

Is Noto Color Emoji font is supported by emacs on MS-Windows?